aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index cb1ad9a373..c8deebc0a5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,11 +2,25 @@
#
# Run this to generate all the initial makefiles.
#
-# $Id: autogen.sh,v 1.10 2000/07/26 08:03:39 guy Exp $
+# $Id: autogen.sh,v 1.11 2000/10/14 04:09:04 gram Exp $
DIE=true
PROJECT="Ethereal"
+
+# Check for python. There's no "--version" option!
+python -c "print 'Checking for python.'"
+if [ $? != 0 ] ; then
+ cat >&2 <<_EOF_
+
+ You must have Python in order to compiler $PROJECT.
+ Download the appropriate package for your distribution/OS,
+ or get the source tarball at http://www.python.org/
+_EOF_
+ DIE="exit 1"
+fi
+
+
VER=`autoconf --version | grep '^autoconf' | sed 's/.*)//'`
case "$VER" in
0* | 1\.* | 2\.[0-9] | 2\.[0-9][a-z]* | \